diff -ur UTouch/hardware/avr/HW_AVR_defines.h UTouch_mod/hardware/avr/HW_AVR_defines.h
--- UTouch/hardware/avr/HW_AVR_defines.h	2013-12-12 10:06:00.000000000 +0100
+++ UTouch_mod/hardware/avr/HW_AVR_defines.h	2014-03-03 06:37:41.812262464 +0100
@@ -3,6 +3,8 @@
 #define sbi(reg, bitmask) *reg |= bitmask
 #define rbi(reg, bitmask) ((*reg) & bitmask)
 
+#define _nop_() __asm__("nop\n\t");
+
 #define pulse_high(reg, bitmask) sbi(reg, bitmask); cbi(reg, bitmask);
 #define pulse_low(reg, bitmask) cbi(reg, bitmask); sbi(reg, bitmask);
 
diff -ur UTouch/hardware/avr/HW_AVR.inc UTouch_mod/hardware/avr/HW_AVR.inc
--- UTouch/hardware/avr/HW_AVR.inc	2013-12-12 10:06:00.000000000 +0100
+++ UTouch_mod/hardware/avr/HW_AVR.inc	2014-03-03 06:50:47.548158732 +0100
@@ -13,7 +13,13 @@
 			cbi(P_DIN, B_DIN);
 		temp = temp << 1; 
 		cbi(P_CLK, B_CLK);                
+		_nop_();
+		_nop_();
+		_nop_();
 		sbi(P_CLK, B_CLK);
+		_nop_();
+		_nop_();
+		_nop_();
 	}
 }
 
@@ -25,7 +31,13 @@
 	{
 		data <<= 1;
 		sbi(P_CLK, B_CLK);
+		_nop_();
+		_nop_();
+		_nop_();
 		cbi(P_CLK, B_CLK);                
+		_nop_();
+		_nop_();
+		_nop_();
 		if (rbi(P_DOUT, B_DOUT))
 			data++;
 	}
Only in UTouch_mod/: UTouchCD.h.F1RMB
